ReflectionClass::__construct
ReflectionClass::getConstant
ReflectionClass
PHP Manual

# ReflectionClass::export

(PHP 5)

ReflectionClass::export — Exports a class

### Descrição

public static string ReflectionClass::export ( mixed `$argument` [, bool `$return` = false ] )

Exports a reflected class.

### Parâmetros

`argument`

  The reflection to export.

`return`

  Setting to `TRUE` will return the export, as opposed to emitting it. Setting to `FALSE` (the default) will do the opposite.

### Valor Retornado

If the `return` parameter is set to `TRUE`, then the export is returned as a string, otherwise `NULL` is returned.

### Exemplos

Exemplo #1 Basic usage of ReflectionClass::export()

`<?php
class Apple {
public $var1;
public $var2 = 'Orange';
public function type() {
return 'Apple';
}
}
ReflectionClass::export('Apple');
?>`

O exemplo acima irá imprimir algo similar à:

    Class [ <user> class Apple ] {
      @@ php shell code 1-8

      - Constants [0] {
      }

      - Static properties [0] {
      }

      - Static methods [0] {
      }

      - Properties [2] {
        Property [ <default> public $var1 ]
        Property [ <default> public $var2 ]
      }

      - Methods [1] {
        Method [ <user> public method type ] {
          @@ php shell code 5 - 7
        }
      }
    }

### Veja Também

- ReflectionClass::getName() - Gets class name

ReflectionClass::__construct
ReflectionClass::getConstant
ReflectionClass
PHP Manual